package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.vendabilheteidoso;

import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.web.utilerias.render.RenderPersonalizado;

public class RenderCategoria extends RenderPersonalizado<Categoria> {

	public RenderCategoria() {
		super(Arrays.asList("desccategoria", "cvecategoria"));
	}

	@Override
	protected void incluirColunasRender(Listitem item, Object objeto) throws IllegalAccessException, InvocationTargetException {
		super.incluirColunasRender(item, objeto);
		Listcell lc;
		try {
			lc = new Listcell(((Categoria)objeto).getGrupoCategoria().getDescGrupo());
		} catch (NullPointerException e) {
			lc = new Listcell(" - ");
		}
		lc.setParent(item);
	}
}
